const routesOther = [
	//监管监测页面
	{
		path: '/other',
		component: () => import('../views/Layout.vue'),
		children: [
			{
				
				path: 'energy',
				component: () => import('../views/Layout.vue'),
				children: [
					{
						path: 'info',
						name: 'OtherEnergyInfo',
						component: () => import('../views/Other/Energy/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '能源中心',
						},
					},
				]
			},
			
			
			//返乡调查
			{
				path: 'return',
				component: () => import('../views/Layout.vue'),
				children: [
					//返乡调查问卷
					{
						path: 'questionnaire',
						name: 'OtherReturnQuestionnaire',
						component: () => import('../views/Other/Return/Questionnaire.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '返乡调查问卷',
						},
					},
					//返乡调查问卷成功页面
					{
						path: 'success',
						name: 'OtherReturnSuccess',
						component: () => import('../views/Other/Return/Success.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '返乡调查问卷成功页面',
						},
					},
					//返乡调查管理列表
					{
						path: 'list',
						name: 'OtherReturnList',
						component: () => import('../views/Other/Return/List.vue'),
						meta: {
							requireAuth: true,
							role: [],
							title: '返乡调查管理列表',
							mode: true
						},
					},
					//返乡调查管理详情
					{
						path: 'info',
						name: 'OtherReturnInfo',
						component: () => import('../views/Other/Return/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '返乡调查管理详情',
						},
					},
				]
			},
		],
	},
]

export default routesOther
