import Vue from 'vue'
import VueRouter from 'vue-router'

if (!window.VueRouter) Vue.use(VueRouter)

const routesCar = [

	//车主支付
	{
		path: '/car',
		component: () => import('../views/Layout.vue'),
		children: [
			//搜索
			{
				path: 'search',
				name: 'CarSearch',
				component: () => import('../views/Car/Search.vue'),
				meta: {
					title: '搜索',
				}
			},
			//车辆录入
			{
				path: 'input',
				name: 'CarInput',
				component: () => import('../views/Car/Input.vue'),
				meta: {
					title: '车辆录入',
				}
			},
			//支付
			{
				path: 'pay',
				name: 'CarPay',
				component: () => import('../views/Car/Pay.vue'),
				meta: {
					title: '支付',
				}
			},
			//支付结果
			{
				path: 'payResult',
				name: 'CarPayResult',
				component: () => import('../views/Car/PayResult.vue'),
				meta: {
					title: '支付结果',
				}
			},
		]
	},
]

export default routesCar
